TESTSRQ(3)

NAME
TestSRQ - query state of SRQ bus line

SYNOPSIS

#include <gpib/ib.h>

void TestSRQ(int board_desc, short *result);

DESCRIPTION

TestSRQ() checks the state of the SRQ bus line and writes its state to the location specified by result. A '1' indicates the SRQ line is asserted, and a '0' indicates the line is not asserted.

Some boards lack the capability to report the status of the SRQ line. In such a case, an ECAP error is returned in iberr.

COPYRIGHT
Copyright © 2003-2006, 2008 Frank Mori Hess